Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 605717 - disable memory cgroups on kdump
disable memory cgroups on kdump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Neil Horman
Chao Ye
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 11:44 EDT by Neil Horman
Modified: 2010-11-10 16:00 EST (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.0-85
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2010-06-18 11:44:23 EDT
Description of problem:
the memory cgroup controller eats a significant portion of memory in the kernel, which is fine for nominal exection in most cases but can lead to oom conditions in kdump, we need to add cgroup_disable=memory to the kdump kernel command line.
Comment 1 RHEL Product and Program Management 2010-06-18 12:03:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chao Ye 2010-08-11 03:27:09 EDT
Verified with -133.el6:

[root@athlon5 ~]# cat /etc/sysconfig/kdump 
# Kernel Version string for the -kdump kernel, such as 2.6.13-1544.FC5kdump
# If no version is specified, then the init script will try to find a
# kdump kernel with the same version number as the running kernel.
KDUMP_KERNELVER=""

# The kdump commandline is the command line that needs to be passed off to
# the kdump kernel.  This will likely match the contents of the grub kernel
# line.  For example:
#   KDUMP_COMMANDLINE="ro root=LABEL=/"
# If a command line is not specified, the default will be taken from
# /proc/cmdline
KDUMP_COMMANDLINE=""

# This variable lets us append arguments to the current kdump commandline
# As taken from either KDUMP_COMMANDLINE above, or from /proc/cmdline
KDUMP_COMMANDLINE_APPEND="irqpoll maxcpus=1 reset_devices cgroup_disable=memory"
Comment 4 releng-rhel@redhat.com 2010-11-10 16:00:18 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.